package cn.com.qmth.examcloud.tool.vo.paper;

/**
 * 作答类型
 */
public enum AnswerType {

    STRICT("S", "严格作答(可程序判分.如判断,单选...)"),

    DIVERSIFIED_TEXT("DT", "多元化文本(不可程序判分.如非严格填空,简答...)"),

    SINGLE_VIDEO("SV", "单个视频"),

    SINGLE_AUDIO("SA", "单个音频"),

    SINGLE_FILE("SF", "单个文件"),

    SINGLE_PICTURE("SP", "单个照片"),

    MULTIPLE_PICTURES("MP", "多个照片");

    private String code;

    private String desc;

    AnswerType(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }

    public String getCode() {
        return code;
    }

}
